version: '3.7'
services:
  tests:
    container_name: bb-tests
    image: 'qa/tests'
    build:
      context: .
      dockerfile: tests.dockerfile
    ports:
      - '8000:8000'
    volumes:
      - './app:/cwd/app:ro'
      - './tests:/cwd/tests:ro'
    depends_on:
      - selenium-hub
      - selenium-chrome

  selenium-hub:
    image: selenium/hub:latest
    container_name: bb-selenium-hub
    ports:
      - "4444:4444"

  selenium-chrome:
    container_name: bb-selenium-chrome
    image: selenium/node-chrome:latest
    volumes:
      - /dev/shm:/dev/shm
    depends_on:
      - selenium-hub
    environment:
      - HUB_HOST=selenium-hub
      - HUB_PORT=4444